const path = require("path");
const webpack = require("webpack");

module.exports = {
  mode: "development",
  entry: {
    "button-example": "./src/button-example.js",
  },
  output: {
    filename: "[name].js",
    path: path.resolve(__dirname, "dist"),
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        exclude: /node_modules/,
        use: [],
      },
    ],
  },
  devtool: "source-map",
  plugins: [
    // fix "process is not defined" error:
    new webpack.ProvidePlugin({
      process: "process/browser",
    }),
  ],
};
