/**
 * @license
 *
 * Copyright IBM Corp. 2019, 2023
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { LitElement } from 'lit';
import { INPUT_SIZE } from '../text-input/text-input';
/**
 * Skeleton of search.
 */
declare class CDSSearchSkeleton extends LitElement {
    /**
     * The search box size. Corresponds to the attribute with the same name.
     */
    size: INPUT_SIZE;
    render(): import("lit-html").TemplateResult<1>;
    static styles: any;
}
export default CDSSearchSkeleton;
