/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
/**
 * Slug size.
 */
export declare enum SLUG_SIZE {
    /**
     * Mini size.
     */
    MINI = "mini",
    /**
     * Extra extra small size.
     */
    EXTRA_EXTRA_SMALL = "2xs",
    /**
     * Extra small size.
     */
    EXTRA_SMALL = "xs",
    /**
     * Small size.
     */
    SMALL = "sm",
    /**
     * Medium size.
     */
    MEDIUM = "md",
    /**
     * Large size.
     */
    LARGE = "lg",
    /**
     * Extra large size.
     */
    EXTRA_LARGE = "xl"
}
/**
 * Slug kind.
 */
export declare enum SLUG_KIND {
    /**
     * Default kind.
     */
    DEFAULT = "",
    /**
     * Inline kind.
     */
    INLINE = "inline"
}
