/**
 * @license
 *
 * Copyright IBM Corp. 2023, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { LitElement } from 'lit';
/**
 * Header Side Nav Items section
 *
 * @element cds-header-side-nav-items
 */
declare class CDSHeaderSideNavItems extends LitElement {
    /**
     * Optionally specify if container will have a bottom divider to differentiate
     * between original sidenav items and header menu items. False by default.
     */
    hasDivider: boolean;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: any;
}
export default CDSHeaderSideNavItems;
