/**
 * Copyright IBM Corp. 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var layout = require('@carbon/layout');

/**
 * @license
 *
 * Copyright IBM Corp. 2023
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
/**
 * Stack orientation
 */
exports.STACK_ORIENTATION = void 0;
(function (STACK_ORIENTATION) {
    /**
     * Default vertical orientation.
     */
    STACK_ORIENTATION["VERTICAL"] = "vertical";
    /**
     * Horizontal.
     */
    STACK_ORIENTATION["HORIZONTAL"] = "horizontal";
})(exports.STACK_ORIENTATION || (exports.STACK_ORIENTATION = {}));
/**
 * The steps in the spacing scale
 *
 * @type {Array<number>}
 */
const SPACING_STEPS = Array.from({ length: layout.spacing.length - 1 }).map((_, step) => {
    return step + 1;
});

exports.SPACING_STEPS = SPACING_STEPS;
//# sourceMappingURL=defs.js.map
